idregions=importdata('C:\Users\arie\Documents\MATLAB\quickDGP2.txt');  %<--- change this if needed

idregions=sortrows(idregions,1);
I1=find(idregions(:,1)>=1);
I2=find(idregions(:,1)>=2);
I3=find(idregions(:,1)==3);

X1=[-2      1     0    -1.5
     1  -1.50  0.75    -1
     1      1     1     1];
X2=[  1       -1.25  0   0.6   0.5
     -1.75     1     0   0.5  -0.5
      1        1     1   1     1  ];
  
  N1=size(I1,1);
  N2=size(I2,1);
  N3=size(I3,1);
  
  x1beta_ABJ=idregions(I1,4:6)*X1;
  x1beta_CT=idregions(I2,4:6)*X1;
  x1beta_BMM=idregions(I3,4:6)*X1;

  x2beta_ABJ=idregions(I1,7:9)*X2;
  x2beta_CT=idregions(I2,7:9)*X2;
  x2beta_BMM=idregions(I3,7:9)*X2;

B1= [min(x1beta_ABJ)
min(x1beta_CT)
min(x1beta_BMM)
max(x1beta_BMM)
max(x1beta_CT)
max(x1beta_ABJ)];

B2= [min(x2beta_ABJ)
min(x2beta_CT)
min(x2beta_BMM)
max(x2beta_BMM)
max(x2beta_CT)
max(x2beta_ABJ)];

%return

figure(1)
scatter(x1beta_ABJ(:,1),x2beta_ABJ(:,1),15,'oy','MarkerFaceColor','y')
hold on
scatter(x1beta_CT(:,1),x2beta_CT(:,1),15,'or','MarkerFaceColor','r')
scatter(x1beta_BMM(:,1),x2beta_BMM(:,1),15,'ok','MarkerFaceColor','k')
%scatter(idregions(1,3),idregions(1,4),25,'+b','MarkerFaceColor','b')
hold off
title('X_{1}*\beta_{1),X_{2}*\beta_{2}')
xlabel('X_{1}*\beta_{1}','FontWeight','bold')
ylabel('X_{2}*\beta_{2}','FontWeight','bold')
legend('ABJ','CT','BMM','Location','SouthWest')

figure(2)
scatter(x1beta_ABJ(:,2),x2beta_ABJ(:,2),15,'oy','MarkerFaceColor','y')
hold on
scatter(x1beta_CT(:,2),x2beta_CT(:,2),15,'or','MarkerFaceColor','r')
scatter(x1beta_BMM(:,2),x2beta_BMM(:,2),15,'ok','MarkerFaceColor','k')
%scatter(idregions(1,3),idregions(1,4),25,'+b','MarkerFaceColor','b')
hold off
title('X_{1}*\beta_{1),X_{2}*\beta_{2}')
xlabel('X_{1}*\beta_{1}','FontWeight','bold')
ylabel('X_{2}*\beta_{2}','FontWeight','bold')
legend('ABJ','CT','BMM','Location','SouthWest')

