% idregions=importdata('C:\Users\Francesca\Documents\My Papers\Games\Code\fra\plotregions\quick.txt');  %<--- change this
figure
for i = 1:2
for jj = 1:3;
    if jj == 1;
        load quick100130075
    elseif jj == 2;
        load quick801105025
    else;
        load quick120150250
    end;
    I1=find(inout(:,1)==1);
    I2=find(inout(:,2)==1);
    I3=find(inout(:,3)==1);
        
    subplot(i,3,jj)
    scatter(Theta(I1,1),Theta(I1,2),15,'oy','MarkerFaceColor','y')
    hold on
    scatter(Theta(I2,1),Theta(I2,2),15,'or','MarkerFaceColor','r')
    scatter(Theta(I3,1),Theta(I3,2),15,'ok','MarkerFaceColor','k')
    hold off
    title('Population version')
    % title('Plot in \theta_{1}, \theta_{2} space, P = [P00+0.03 P10+0.005 P01-0.03 P11-0.005]')
    xlabel('\theta_{1}','FontWeight','bold')
    ylabel('\theta_{2}','FontWeight','bold')
    legend('\Theta_{O}^{ABJ}','\Theta_{O}^{CT}','\Theta_{I}','Location','SouthWest')
    axis([-5 0 -5 0])
    
    disp('Projections:')
    disp('============')
    disp('ABJ mixed:')
    disp(min(Theta(I1,:)))
    disp(max(Theta(I1,:)))
    disp('CT mixed:')
    disp(min(Theta(I2,:)))
    disp(max(Theta(I2,:)))
    disp('BMM mixed:')
    disp(min(Theta(I3,:)))
    disp(max(Theta(I3,:)))
    
end;
end